Skip to main content

POST/feedback

This method creates and submits feedback to the user's order partner for a line item in the order. For each order, the order partner is the other participant in the transaction, either the buyer or seller, depending on the eBay user associated with the user token. This method allows users to provide detailed information about the transaction, including the feedback rating, comments, and seller delivery. You can also add images to your feedback.

Note: A seller can only provide a comment for a buyer, but a buyer can provide a comment plus provides ratings on a number of metrics for a seller.

Note: The feedback must adhere to community guidelines and be relevant to the transaction.

When leaving feedback, keep the following in mind:

  • Your feedback score is not affected when you leave feedback
  • Feedback can only be revised once after it is submitted

For additional information on leaving feedback, see the following:

A successful call to this method returns a feedback ID, which is a unique identifier for the newly created feedback and allows for reference and tracking.

Input

Resource URI

POST https://api.ebay.com/commerce/feedback/v1/feedback

This method is supported in Sandbox environment. To access the endpoint, just replace the api.ebay.com root URI with api.sandbox.ebay.com

URI parameters

This method has no URI parameters.

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

The table below shows additional HTTP request headers that are either required, conditionally required, or strongly recommended for this method. Other standard HTTP request headers- opens rest request components page (not in this table) can also be used, but they are optional.

HeaderTypeDescription
Content-TypestringThis header indicates the format of the request body provided by the client. Its value should be set to application/json.

For more information, refer to HTTP request headers.

Occurrence: Required

OAuth scope

This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/api_scope/commerce.feedback

See OAuth access tokens for more information.

Request payload

Copy complete valid JSON to clipboard

Request fields

Input container/fieldTypeDescription
commentTextstring

Use this field to provide the feedback left by the user, describing their experience with the line item of the transaction. No HTML formatting or personal information (such as phone numbers) is permitted.

Maximum length: 500 characters

Occurrence: Required

commentTypeFeedbackRatingValuesEnum

Set this enumerated value to indicate the overall rating of the transaction: POSITIVE, NEUTRAL, or NEGATIVE.

Note: Sellers can only provide positive feedback.

Occurrence: Required

imagesarray of Image

Use this array to optionally list up to 5 images attached to the feedback.

Occurrence: Optional

images.urlstring

This field provides the URL of an attached image and is included in the response whenever an image is attached.

Occurrence: Optional

listingIdstring

Use this field to provide the listing ID related to the transaction.

Occurrence: Required

orderLineItemIdstring

Use this field to provide the unique identifier of the line item for this feedback.

Occurrence: Optional

sellerRatingsarray of SellerRating

Use this array to list ratings for specific aspects of the seller's performance.

Occurrence: Required

sellerRatings.keyKeyEnum

The enumerated value of the category being rated, such as delivery timeliness (ON_TIME_DELIVERY).

Occurrence: Required

sellerRatings.valuestring

The value assigned for the selected category. Use a value of 1 through 5, with the 1 being the lowest rating and 5 being the highest.

Occurrence: Required

transactionIdstring

Use this field to provide the unique identifier of the transaction for this feedback.

Occurrence: Required

Output

HTTP response headers

This call has no response headers.

Response payload

Response fields

Output container/fieldTypeDescription
feedbackIdstring

The unique ID assigned to the submitted feedback.

Occurrence: Always

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
200Success
400Bad Request
401Not Authorized
409Conflict
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
501003API_FEEDBACKREQUESTListing id value is invalid.
501004API_FEEDBACKREQUESTTransaction id value is invalid.
501005API_FEEDBACKREQUESTComment text value is invalid.
501006API_FEEDBACKREQUESTComment type value is invalid.
501007API_FEEDBACKREQUESTSeller ratings are not valid type.
501008API_FEEDBACKBUSINESSFeedback already left for this listing.
501009API_FEEDBACKBUSINESSLeaving feedback for this listing is blocked due to policy, please contact eBay support.
501010API_FEEDBACKBUSINESSFeedback receiver is not eligible to receive feedback.
501011API_FEEDBACKBUSINESSFeedback provider is not eligible to leave feedback.
501012API_FEEDBACKBUSINESSThe user's provided feedback was blocked due to not meeting the requirement of being on eBay's platform for a minimum of 5 days.
501013API_FEEDBACKREQUESTComment text is too long, maximum length is 500 characters.
501014API_FEEDBACKREQUESTComment text value is invalid.
501015API_FEEDBACKREQUESTComment text contains profanity.
501016API_FEEDBACKREQUESTSeller ratings value is invalid.
501017API_FEEDBACKREQUESTSeller ratings type is not supported for this provider role.
501018API_FEEDBACKREQUESTItem rating type is invalid.
501019API_FEEDBACKREQUESTOn time delivery rating value is invalid.
501020API_FEEDBACKBUSINESSSeller cannot leave negative or neutral feedback.
501021API_FEEDBACKBUSINESSSeller cannot receive negative or neutral feedback.
501034API_FEEDBACKREQUESTOnly 5 images can be attached to a feedback.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Leave feedback

This call creates and submits feedback on the user's order partner for a line item in the order.

Input

The inputs are the feedback comment text, type, listing ID, transaction ID, as well as images and seller ratings.

POSThttps://api.ebay.com/commerce/feedback/v1/feedback

Output

If the call is successful, HTTP status code 200 Success is returned, along with the feedback ID.